# PCGetOperatorsSet

Determines if the matrix associated with the linear system and possibly a different one associated with the preconditioner have been set in the PC.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCGetOperatorsSet(PC pc,PetscTruth *mat,PetscTruth *pmat)

Not collective, though the results on all processes should be the same

### Input Parameter

pc -the preconditioner context

### Output Parameters

| mat | - the matrix associated with the linear system was set
| pmat | - matrix associated with the preconditioner was set, usually the same

### Keywords

PC, get, operators, matrix, linear system

### See Also

PCSetOperators(), KSPGetOperators(), KSPSetOperators(), PCGetOperators()

Level:intermediate
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages